﻿$name = "hackfont"
$url = "https://github.com/chrissimpkins/Hack/raw/master/build/ttf/Hack-"
$names = @('Bold','BoldItalic','Regular','Italic')
$tools = Split-Path $MyInvocation.MyCommand.Definition
$content = Join-Path (Split-Path $tools) "content"
$dest_folder = Join-Path $content "hack"

foreach($i in $names){
  $dest_file = Join-Path $dest_folder "Hack-"
  $dest_file = $dest_file + $i + ".ttf"
  $this_url = $url + $i + ".ttf"
  Get-ChocolateyWebFile $i $dest_file $this_url
}

try {
  $FONT_FOLDER = 0x14
  $shell = New-Object -ComObject "Shell.Application"
  $source = $shell.Namespace($dest_folder)
  $target = $shell.Namespace($FONT_FOLDER)
  $target.CopyHere($source.Items())

}
catch {
  throw
}